Register
curl --request POST \
--url 'http://{{baseurl}}/users' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "Sam2",
"lastName": "Johnson2",
"username": "AsaAm_johnson12",
"email": "Asam.johnson12@email.com",
"phoneNumber": "+440000000000",
"password": "12345678"
}
'import requests
url = "http://{{baseurl}}/users"
payload = {
"firstName": "Sam2",
"lastName": "Johnson2",
"username": "AsaAm_johnson12",
"email": "Asam.johnson12@email.com",
"phoneNumber": "+440000000000",
"password": "12345678"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: 'Sam2',
lastName: 'Johnson2',
username: 'AsaAm_johnson12',
email: 'Asam.johnson12@email.com',
phoneNumber: '+440000000000',
password: '12345678'
})
};
fetch('http://{{baseurl}}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Users
Register
Only Supervisors and Administrtors can access this route
Request object is expected to be like this:
{
"firstName": "",
"lastName": "",
"username": "",
"email": "",
"phoneNumber": "",
"password": ""
}
- firstName, lastName, username, and password are mandatory.
- email and phoneNumber are optional to provide.
- username is a unique keys.
POST
/
users
Register
⌘I